Package ru.bitel.bgbilling.modules.enaza.common.bean

# Class EnazaTransaction

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.enaza.common.bean.EnazaTransaction

All Implemented Interfaces:
  `ContractIdable`

public class EnazaTransaction extends ContractId

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `STATUS_NEW`
  `static int`
  `STATUS_OK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnazaTransaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `int`
  `getChargeId()`
  `String`
  `getClientId()`
  `BigDecimal`
  `getContractGroupId()`
  `Date`
  `getDate()`
  `String`
  `getDescription()`
  `BigDecimal`
  `getOrderId()`
  `BigDecimal`
  `getPriceCategory()`
  `BigDecimal`
  `getProductType()`
  `String`
  `getServiceId()`
  `int`
  `getStatus()`
  `int`
  `getVat()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setChargeId(int chargeId)`
  `void`
  `setClientId(String clientId)`
  `void`
  `setContractGroupId(BigDecimal contractGroupId)`
  `EnazaTransaction`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setDescription(String description)`
  `void`
  `setOrderId(BigDecimal orderId)`
  `void`
  `setPriceCategory(BigDecimal priceCategory)`
  `void`
  `setProductType(BigDecimal productType)`
  `void`
  `setServiceId(String serviceId)`
  `void`
  `setStatus(int status)`
  `void`
  `setVat(int vat)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_NEW

    public static int STATUS_NEW

  - ### STATUS_OK

    public static int STATUS_OK

- ## Constructor Details

  - ### EnazaTransaction

    public EnazaTransaction()

- ## Method Details

  - ### getOrderId

    public BigDecimal getOrderId()

  - ### setOrderId

    public void setOrderId(BigDecimal orderId)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### setContractId

    public EnazaTransaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getClientId

    public String getClientId()

  - ### setClientId

    public void setClientId(String clientId)

  - ### setChargeId

    public void setChargeId(int chargeId)

  - ### getChargeId

    public int getChargeId()

  - ### getProductType

    public BigDecimal getProductType()

  - ### setProductType

    public void setProductType(BigDecimal productType)

  - ### getPriceCategory

    public BigDecimal getPriceCategory()

  - ### setPriceCategory

    public void setPriceCategory(BigDecimal priceCategory)

  - ### getServiceId

    public String getServiceId()

  - ### setServiceId

    public void setServiceId(String serviceId)

  - ### getContractGroupId

    public BigDecimal getContractGroupId()

  - ### setContractGroupId

    public void setContractGroupId(BigDecimal contractGroupId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getVat

    public int getVat()

  - ### setVat

    public void setVat(int vat)